> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Get Sandbox Entities

GET https://api.filesearch.dev/v2/datasets/odyssey/fundamentals/sandbox

Get pre-loaded sample entities for testing.

Returns a list of sample companies with entity IDs that can be used for testing.

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/sandbox-data/fundamentals-sandbox

## Response

### 200

Successful Response

- `success` (boolean, optional)
- `data` (OdysseyFundamentalsSandboxResponseData, optional)

## Types

### OdysseyFundamentalsSandboxResponseData

- `entities` (list of OdysseyFundamentalsSandboxResponseDataEntitiesItems, optional)
- `note` (string, optional)

### OdysseyFundamentalsSandboxResponseDataEntitiesItems

- `entity_id` (string, optional)
- `ticker` (string, optional)
- `company_name` (string, optional)
- `description` (string, optional)

## Examples

**Response**

```json
{
  "success": true,
  "data": {
    "entities": [
      {
        "entity_id": "ody_co_sample_msft",
        "ticker": "MSFT",
        "company_name": "Microsoft Corporation",
        "description": "Sample entity for Microsoft"
      },
      {
        "entity_id": "ody_co_sample_aapl",
        "ticker": "AAPL",
        "company_name": "Apple Inc.",
        "description": "Sample entity for Apple"
      }
    ],
    "note": "These are sample entities for testing API functionality"
  }
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/fundamentals/sandbox",
    headers=headers,
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/fundamentals/sandbox`, {
    method: "GET",
    headers: { "Authorization": `Bearer ${API_KEY}` }
});
console.log(await response.json());
```